Skip to main content
`Ctrl`+`K`

# EPSSetTrackAll

Specifies if the solver must compute the residual norm of all approximate eigenpairs or not.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetTrackAll(EPS eps,PetscBool trackall)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- trackall - whether to compute all residuals or not

## Notes

If the user sets `trackall`=`PETSC_TRUE` then the solver computes (or estimates) the residual norm for each eigenpair approximation. Computing the residual is usually an expensive operation and solvers commonly compute only the residual associated to the first unconverged eigenpair.

The option `-eps_monitor_all` automatically activates this option.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetTrackAll()`

## Level

developer

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages